The main Bubble source repository. Contains the Bubble API server, the web UI, documentation and utilities. https://getbubblenow.com
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

50 line
1.5 KiB

  1. #!/bin/bash
  2. #
  3. # Copyright (c) 2020 Bubble, Inc. All rights reserved. For personal (non-commercial) use, see license: https://getbubblenow.com/bubble-license/
  4. #
  5. function die {
  6. echo 1>&2 "${1}"
  7. exit 1
  8. }
  9. # Ensure system is current
  10. # Install packer
  11. BUBBLE_BIN="$(cd "$(dirname "${0}")" && pwd)"
  12. "${BUBBLE_BIN}/install_packer.sh" || die "Error installing packer"
  13. # Install homebrew
  14. /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
  15. # Install emacs
  16. brew cask install emacs
  17. # Install AdoptOpenJDK 11
  18. echo ">>> Please install AdoptOpenJDK 11 from https://adoptopenjdk.net/index.html?variant=openjdk11&jvmVariant=hotspot"
  19. # Install IntelliJ IDEA
  20. echo "Consider installing IntelliJ IDEA from https://www.jetbrains.com/idea/download/#section=mac"
  21. # Install packages
  22. brew install maven
  23. brew install postgresql@10 && brew services start postgresql@10
  24. brew install redis && brew services start redis
  25. brew install jq
  26. brew install python@3.8
  27. brew install npm
  28. brew install webpack
  29. sudo pip3 install setuptools psycopg2-binary
  30. # Add python paths to script rc
  31. export LDFLAGS="-L/usr/local/opt/python@3.8/lib"
  32. export PATH="/usr/local/opt/python@3.8/bin:$PATH"
  33. # Create DB user 'postgres' as super admin
  34. createuser --createdb --superuser --createrole postgres || die "Error creating postgres DB user"
  35. # Create DB user 'bubble', with the ability to create databases
  36. createuser --createdb bubble || die "Error creating bubble DB user"
  37. # Create bubble database
  38. createdb --encoding=UTF-8 bubble || die "Error creating bubble DB"